Download it now!
Bug 127666 - LibreOffice Calc loses cell contents when receiving focus
Summary: LibreOffice Calc loses cell contents when receiving focus
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.5.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2019-09-20 14:04 UTC by David Faure
Modified: 2020-07-13 03:40 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Faure 2019-09-20 14:04:57 UTC
Regression in oocalc 6.2.5.2 compared to 6.1.3:

* Type some content in a cell, in oocalc
* Give focus to another window
* Give focus back to the oocalc window
=> the current cell is emptied, editing mode is started on an empty cell.

Workaround: pressing Esc reverts to the previous contents.
But if the confused user presses Enter instead, or even just gave focus back by clicking on a different cell, those contents are lost!

This is the worst LibreOffice bug I have ever experienced, silent data loss while using the software, meaning the user might only notice far too late, after making other changes elsewhere, and then even 'Undo' to recover lost data is a real pain since you then lose your actual changes.

Please handle with top priority.

Initially reported at https://bugzilla.suse.com/show_bug.cgi?id=1148201 where it was NOT handled with top priority...
Comment 1 Xisco Faulí 2019-09-25 15:35:15 UTC
I can't reproduce it in

Version: 6.4.0.0.alpha0+
Build ID: cc65651a0490383f1a833bb6215d8ec4272d8b5d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

To be certain the reported issue is not
related to corruption in the user profile, could you please reset your
Libreoffice profile ( https://wiki.documentfoundation.org/UserProfile ) and
re-test?

I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the issue is still present
Comment 2 David Faure 2019-09-30 08:38:01 UTC
I found more information: the bug only happens when libreoffice-qt5 is installed (and I'm in a Plasma desktop, so the Qt5 integration gets activated)

BTW the bug still happens after an upgrade to libreoffice-calc-6.2.7.1

This isn't user profile corruption, the bug also happened on my wife's computer (different user profile, same OpenSuSE version).
Comment 3 Michael Weghorn 2019-11-29 14:10:24 UTC
Hi David,

this reminds me a bit of bug 124356, so can you please retest with LibreOffice 6.3, or even a master daily build as available at [1], which can be installed in parallel as described at [2]?

If the issue is still present there, can you paste the exact info from "Help" -> "About LibreOffice"?

I cannot reproduce with current master, neither with the "kf5" nor the "qt5" VCL plugin. (Those two are different, and I *think* and hope that the "libreoffice-qt5" package from OpenSUSE actually includes "kf5", not just "qt5", since the latter is definitely not meant for production as of now.)

Can't reproduce with:

Version: 6.5.0.0.alpha0+
Build ID: 141c34f559e9d1d6a8e2a40d9787331621a75e53
CPU threads: 4; OS: Linux 5.3; UI render: default; VCL: kf5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded

Version: 6.5.0.0.alpha0+
Build ID: 141c34f559e9d1d6a8e2a40d9787331621a75e53
CPU threads: 4; OS: Linux 5.3; UI render: default; VCL: qt5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded

[1] https://dev-builds.libreoffice.org/daily/
[2] https://wiki.documentfoundation.org/Installing_in_parallel/Linux
Comment 4 David Faure 2019-11-29 14:32:01 UTC
Very confusing: today, still with 6.2.7.1, I can't reproduce the problem either.
I don't understand what changed meanwhile, or whether there's another subtle trigger for the bug which makes a difference.

For information, the libreoffice-qt5 package for opensuse contains both plugins:
/usr/lib64/libreoffice/program/libvclplug_kde5lo.so
/usr/lib64/libreoffice/program/libvclplug_qt5lo.so
(as well as libkde5be1lo.so)

I assume the first one is the one you called kf5?
Is there any way to see which one is actually being used?
Thanks.
Comment 5 Michael Weghorn 2019-11-29 14:56:34 UTC
(In reply to David Faure from comment #4)
> Very confusing: today, still with 6.2.7.1, I can't reproduce the problem
> either.
> I don't understand what changed meanwhile, or whether there's another subtle
> trigger for the bug which makes a difference.

Thanks for the update. Should we close this as WORKSFORME then?

> For information, the libreoffice-qt5 package for opensuse contains both
> plugins:
> /usr/lib64/libreoffice/program/libvclplug_kde5lo.so
> /usr/lib64/libreoffice/program/libvclplug_qt5lo.so
> (as well as libkde5be1lo.so)
> 
> I assume the first one is the one you called kf5?

Yes, it's called kde5 in LibreOffice 6.2 still, but has been renamed to kf5 for later versions to fit KDE community's wording (s. bug 125922 for details).

> Is there any way to see which one is actually being used?

Yes, that's shown in "Help" -> "About LibreOffice" (which is why I was asking), and you can request to use a certain VCL plugin by setting env variable SAL_USE_VCLPLUGIN (to "kde5"/"kf5", "qt5", "gtk3", "gen", ...) on startup.
Comment 6 David Faure 2019-12-03 17:15:52 UTC
And today it happened again. Still with the same version of everything.

To find out more, I took good note of which document this was happening in, closed all LibreOffice windows, checked the soffice process wasn't running anymore, reopened that same document ---> the bug doesn't happen anymore.

So there's an additional trigger somewhere which I have still to find.
It's definitely not related on the document contents, when it happens, it happens on all spreadsheets. But there's some other action that has to happen first, before the bug actually happens. Could be suspend-to-ram, could be opening more docs from the command line, could be the file dialog... but I just tried all of these things, and the bug still isn't back. So it's something else.

It would be useful if someone who knows the source code could tell me what might possibly lead to this. How can the qt5/kf5 integration possibly affect what happens when the window receives focus? QFocusEvent handling surely. But why would this ever start editing the cell?
Comment 7 Michael Weghorn 2019-12-03 18:22:48 UTC
I don't have a quick idea on what might be causing this. The qt5 and kf5 related code is in [1] and [2]. 

[1] https://gerrit.libreoffice.org/plugins/gitiles/core/+/master/vcl/qt5/
[2] https://gerrit.libreoffice.org/plugins/gitiles/core/+/master/vcl/unx/kf5/
Comment 8 Jan-Marek Glogowski 2019-12-09 15:30:53 UTC
@QA: the Qt5 meta bug is only for QPainter based problems (which are basically currently ignored, due to the more important kf5 based bugs). Everything else Qt5 and KF5 related should be handled via the KDE metabug. Please always request a copy of "About LibreOffice", if you think it's a platform problem, so the reporter and us can make sure the problem is attributed to the correct VCL backend. The dialog text is selectable, so easy to copy into the bug report.

Nothing else from my side to add to this problem :-(
Comment 9 David Faure 2019-12-13 22:17:29 UTC
"About LibreOffice" says:

Version: 6.2.7.1
Build ID: 20(Build:1)
CPU threads: 8; OS: Linux 4.12; UI render: default; VCL: kde5; 
Locale: fr-FR (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 10 Michael Weghorn 2019-12-14 01:29:38 UTC
IMHO, it'd really be interesting to know whether the issue still happens with LibreOffice >= 6.3, or whether this is possibly the same thing as bug 124356 (s. comment 3) that seems fixed there.
Comment 11 QA Administrators 2020-06-12 03:47:16 UTC Comment hidden (obsolete)
Comment 12 QA Administrators 2020-07-13 03:40:01 UTC
Dear David Faure,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp